#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* main function for reading model project WAL (Wide Access Lexicon) */
/* scott cost 3/9/94                                                 */

#define FALSE 0
#define TRUE 1

/* prototypes */
int access (); /* return response time in milliseconds */
void get_word ();

main (argc, argv)
  int argc;
  char *argv[];
{
  char word[25];
  int rt, done;

  /* load/train lexicon here */

  while (done == FALSE) {
    system ("clear");
    printf ("WAL - Wide Access Lexicon - Testing Interface\n\n");
    printf ("Enter word:  ");
    get_word (word);
    if (word[0] != '\0') {
      printf ("\nPresenting:      %s\n", word);
      rt = access (word);
      printf ("Word retrieved:  %s\n", word);
      printf ("Access time:     %d\n", rt);
      printf ("\nHit RETURN to continue...");
      getchar();
      strcpy (word, "");
    } /* of lexical access */
    else done = TRUE;
  };
}

void get_word (word)
  char word[];
{
  int i = 0;
  char key;

  while ( (key = getchar() ) != 10)
    word[i++] = key;
}

int access (word)
  char word[];
{
  strcpy (word, "barbeque");
  return (50);
}



