#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <conio.h>
#include <graphics.h>
#include <string.h>
#include <ctype.h>

/* prototypes */
void start_graphics();

/* program constants */
#define Field_Color 2 /* green */
#define Target_Color 4 /* red */
#define X_ORG 300
#define Y_ORG 240
#define R 240
/* Serial letter presentation program.  Built for Elwyn Leek by Scott Cost */
/* Must be compiled with MSCLOCK.CPP, RSC custom millisecond timer. */
int main (
	int argc,
	char* argv[] )
{
	FILE *infile;
	int i, j, dud, range;
	int x, y, x1, y1, x2, y2, ext;
	int dial[18], min, max;
	double deg;

	_setcursortype(_NOCURSOR);

	if ((infile = fopen(argv[1], "r"))==NULL)
	{
		printf ("%s:  (In)File Open Error.\n", argv[1]);
		getch();
		exit(1);
	}
	clrscr;

	min = 9999;
	max = 0;
	for (i=0; i<18; i++) {
		fscanf (infile, "%d %d", &dud, &(dial[i]));
		if (dial[i]<min) min=dial[i];
		if (dial[i]>max) max = dial[i];
		/* dial[i]=1; min=0; */ /* enable these to see star */
		/* printf ("-> %d\n", dial[i]); */
	}
	fcloseall();
	start_graphics();

	range = max-min;
	for (i=0; i<18; i++)
		for (j=0; j<(dial[i]-(min-10)); j++) {
			deg = (i*10) + (j* (10.0/(dial[i]-(min-10))));
			/* deg = 360 - deg;*/ /* reverse to counter clockwise */
			/* deg = deg + 270;*/ /* start at east */

			ext = ((dial[i]-min)/range)*10; /* extend from 1-10 */
			x = (R+ext)*(cos(deg*3.1416/180));
			y = ((R+ext)*(sin(deg*3.1416/180)))*(.92); /* compress for symmetry */
			x1 = X_ORG + x; y1 = Y_ORG - y;
			x2 = X_ORG - x; y2 = Y_ORG + y;
			moveto(x1,y1);
			lineto (x2,y2);
		}
		moveto(X_ORG,Y_ORG-300); lineto(X_ORG,Y_ORG+300);
		moveto(X_ORG+300,Y_ORG); lineto(X_ORG-300,Y_ORG);
	getch();
	cleardevice();
	closegraph(); /* insulate text screen */
}

/* vga graphics initialization routine */
void start_graphics() {
	int gdriver=VGA, gmode=VGAHI, errorcode;
	initgraph(&gdriver, &gmode, "C:\\BORLANDC\\BGI\\"); /* enter graphics mode */
	errorcode=graphresult();
	if (errorcode!=grOk) {
		printf("Graphics error:  %s\n", grapherrormsg(errorcode));
		printf("Press any key to halt:");
		getch();
		exit(1);
	} /* from BC++ Lib Ref, pg. 299 */
	settextstyle(TRIPLEX_FONT, HORIZ_DIR, 1);
	/* setusercharsize(); for future use; font size must be set to zero */
}
