#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_LINE 256
#define F_CUT 10 /* frequency cut off */

int main()
{
  FILE *fp1, *fp2;
  char line1[MAX_LINE], line2[MAX_LINE], line3[MAX_LINE];
  char word1[MAX_LINE], word2[MAX_LINE], word3[MAX_LINE];
  char worda[MAX_LINE], wordb[MAX_LINE], word[MAX_LINE];
  int len, freq, freq1, freq2, freq_;

  fp1 = fopen ("temp","r");
  while (fgets(line1, MAX_LINE, fp1) != NULL) {
    strcpy (word1, strtok (line1, " \t\n"));
    if (((len=strlen (word1)) < 4) | (len>6)) continue;
    freq = atoi (strtok (NULL, " \t\n"));
    if (freq<F_CUT) break;
    fp2 = fopen ("temp", "r");
    strcpy (word2, &(word1[1]));
    strcpy (word3, word1);
    word3[strlen(word3)-1] = '\0';
    strcpy (worda, "");
    strcpy (wordb, "");
    freq1 = freq2 = 0;
    while (fgets(line2, MAX_LINE, fp2) != NULL) {
      strcpy (word, strtok (line2, " \t\n"));
      freq_ = atoi (strtok (NULL, " \t\n"));
      if (freq_<10) break;
      if (strcmp(word, word2) ==0) {
	strcpy (worda, word); freq1 = freq_; }
      else if (strcmp(word, word3) ==0) {
	strcpy (wordb, word); freq2 = freq_; }
    }
    if ((freq>F_CUT) & /* screen for low frequency/garbage */ 
	((strcmp(worda,"")==0) | (freq1>F_CUT)) & 
	((strcmp(wordb,"")==0) | (freq2>F_CUT)))
    if ((strcmp(worda,"")!=0) | (strcmp(wordb,"")!=0)) {
      printf ("%7s[f=%5d] ",word1, freq);
      if (strcmp(worda,"")!=0) 
	printf ("%7s[f=%5d] ", worda, freq1);
      else printf ("                 ");
      if (strcmp(wordb,"")!=0) 
	printf ("%7s[f=%5d]\n", wordb, freq2);
      else printf ("                \n");
    }	       
    fclose (fp2);
    fflush (stdout);
  }
  fclose (fp1);
}
